CGI Transaction

API Explorer
https://test.spinpos.net
POST

CGI Transaction sends a structured JSON transaction request to the terminal using a structured CGI contract. TPN and Authkey are provided in the request body (Authkey may be omitted when SpinAccessToken is supplied). Additional terminal-specific fields can be added via ExtensionData. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/CGI/Transaction" \  -H "Content-Type: application/json" \  -d '{    "Tpn": "",    "Authkey": "",    "SPInProxyTimeout": null,    "ExtensionData": {},    "RequestGuid": "00000000-0000-0000-0000-000000000000"  }'
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}